jQuery(document).ready(function($){

	imageWidget = {

		// Call this from the upload button to initiate the upload frame.
		uploader : function( widget_id, widget_id_string, key, multiple ) {

			var frame = wp.media({
				title : 'Choose an Image',
				multiple : multiple,
				library : { type : 'image' },
				button : { text : 'Use Image' }
			});

			// Handle results from media manager.
			frame.on('close',function( ) {
				var attachments = frame.state().get('selection').toJSON();
				imageWidget.render( widget_id, widget_id_string, attachments, key );
				$("#" + widget_id_string + key).trigger('change');
			});

			frame.open();
			return false;
		},

		remove : function( widget_id, widget_id_string, key ) {
			$("#" + widget_id_string + 'preview').html('');
			$("#" + widget_id_string + key).val('');
			$("#" + widget_id_string + 'remove').css('display', 'none');
			$("#" + widget_id_string + key).trigger('change');
		},

		// Output Image preview and populate widget form.
		render : function( widget_id, widget_id_string, attachments, key ) {

			var arrUrl = [];

			if ( attachments.length > 1 ) {
				for ( i = 0; i < attachments.length; i++ ) {
				    arrUrl.push(attachments[i].url);
				}

				$urlJoin = arrUrl.join("\n");
				$("#" + widget_id_string + key).val($urlJoin);
			} else {
				$("#" + widget_id_string + key).val(attachments[0].url);
			}

			$("#" + widget_id_string + 'preview').html(imageWidget.imgHTML( attachments ));
			$("#" + widget_id_string + 'remove').css('display', 'inline-block');
		},

		// Render html for the image.
		imgHTML : function( attachments ) {

			var img_html = '';

			for ( i = 0; i < attachments.length; i++ ) {
			    img_html += '<img src="' + attachments[i].url + '" alt="" />';
			}

			return img_html;
		}

	};

});
